/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that prints the current user name */
#include <stdio.h>
#include <unistd.h>
#define SIZE 80

int main() {
    char usrname[SIZE];
    
    getlogin_r(usrname,SIZE);
    printf(" current user is %s\n",usrname);
}
